﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace Laborator2
{
    class Program
    {
        static void Main(string[] args)
        {
            int[] v = new int[5];
            for (int i = 0; i < v.Length; i++)
            {
                Console.Write("v[{0}]=", i);
                v[i] = Int32.Parse(Console.ReadLine());
            }
            Array.Sort(v);
            foreach (int x in v)
            {
                Console.Write("{0}; ", x);
            }

            int[,] m = new int[2, 5];

            int[] w = new int[7];

            v.CopyTo(w, 2);

            Console.WriteLine();

            foreach (int x in w)
            {
                Console.Write("{0}; ", x);
            }

            int k = 0;
            foreach (var x in v)
            {
                m[0, k] = x;
                m[1, k] = -x;
                k++;
            }

            Console.WriteLine();
            //Acesta este un comentariu pe o linie
            /*Acesta este un
             comentariu pe mai multe linii*/
            for (int i = 0; i < m.GetLength(0); i++)
            {
                for (int j = 0; j < m.GetLength(1); j++)
                {
                    Console.Write("{0} ", m[i, j]);
                }
                Console.WriteLine();
            }

            int[][] n = new int[2][];

            Persoana[] vect_pers = new Persoana[5];

            k = 0;
            foreach (int x in v)
            {
                vect_pers[k] = new Persoana();
                vect_pers[k].Id = x;
                Console.Write("Numele pentru id-ul {0}: ", x);
                vect_pers[k].Nume = Console.ReadLine();
                vect_pers[k].DataNasterii = DateTime.Today;
                k++;
            }

            List<Persoana> lista = new List<Persoana>();
            lista.InsertRange(0, vect_pers);

            foreach (Persoana p in lista)
            {
                Console.WriteLine(p.Nume);
            }

            Dictionary<int, Persoana> dict = new Dictionary<int, Persoana>();
            foreach (Persoana p in lista)
            {
                dict.Add(p.Id, p);
            }

            Console.WriteLine(dict[2].Nume);

            Console.ReadLine();
        }
    }

    public class Persoana : ICloneable, IComparable
    {
        int id;

        public int Id
        {
            get { return id; }
            set { id = value; }
        }
        string nume;

        public string Nume
        {
            get { return nume; }
            set { nume = value; }
        }
        DateTime data_nasterii;

        public DateTime DataNasterii
        {
            get { return data_nasterii; }
            set { data_nasterii = value; }
        }

        public object Clone()
        {
            return this.MemberwiseClone();
        }

        public int CompareTo(object o)
        {
            if (o is Persoana)
            {
                Persoana p = (Persoana)o;
                TimeSpan t = DateTime.Now - p.data_nasterii;
                TimeSpan v = DateTime.Now - this.data_nasterii;
                if (t.Days > v.Days)
                {
                    return 1;
                }
                else if (t.Days < v.Days)
                {
                    return -1;
                }
                else
                {
                    return 0;
                }
            }
            else
            {
                return -1;
            }
        }
    }
}
